package com.xy.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author 谭斌
 * @since 2024-10-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "SysDictLog对象", description = "字典表")
public class SysDictLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;
    
    @ApiModelProperty(value = "字典ID")
    private Integer sysDictId;

    @ApiModelProperty(value = "编码值")
    private String value;


    @ApiModelProperty(value = "父编码")
    private String paterCode;

    @ApiModelProperty(value = "编码")
    private String code;


    @ApiModelProperty(value = "说明")
    private String msg;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUser;

    @ApiModelProperty(value = "操作类型（1新增，2修改，3删除）")
    private Integer operateType;

    @ApiModelProperty(value = "是否同步生产")
    private Boolean isSync;


    /**
     * 排序 正序
     */
    private Integer orders;

    /**
     * 回显样式
     */
    private String listClass;

    /**
     * 回显class
     */
    private String cssClass;


}
