package com.xy.dto;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author 谭斌
 * @since 2024-10-09
 */
public class SysDictLogDto {

    @Data
    @Accessors(chain = true)
    public static class SelectList extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;


        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty(value = "创建时间-起")
        private LocalDateTime beginTime;

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        @ApiModelProperty(value = "创建时间-始")
        private LocalDateTime endTime;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "字典ID")
        private Integer sysDictId;

        @ApiModelProperty(value = "父编码")
        private String paterCode;

        @ApiModelProperty(value = "编码")
        private String code;

        @ApiModelProperty(value = "说明")
        private String msg;

        @ApiModelProperty(value = "编码值")
        private String value;


        @ApiModelProperty(value = "创建时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime createTime;

        @ApiModelProperty(value = "创建人")
        private Long createUser;

        @ApiModelProperty(value = "操作类型（1新增，2修改，3删除）")
        private Integer operateType;

        @ApiModelProperty(value = "是否同步生产")
        private Boolean isSync;

        @ApiModelProperty(value = "旧父编码")
        private String oldPaterCode;

        @ApiModelProperty(value = "旧编码")
        private String oldCode;


        /**
         * 排序 正序
         */
        private Integer orders;

        /**
         * 回显样式
         */
        private String listClass;

        /**
         * 回显class
         */
        private String cssClass;


    }

}
